PS_symbol_width(3)

NAME
PS_symbol_width — Get width of a glyph

SYNOPSIS

#include <pslib.h>

float PS_symbol_width(PSDoc *psdoc, unsigned char c, int fontid, float size)

DESCRIPTION

Retrieves the width of a glyph which is at position c in the font encoding vector. The font encoding for a font can be set when loading the font with PS_findfont().

fontid and size are optional and can be set to zero. In such a case the current font and size will be used.

RETURN VALUE

The width of the symbol in points.

SEE ALSO

PS_findfont(3), PS_symbol(3), PS_symbol_name(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.